{*******************************************************************************
   Unit
      sCommonTypes.pas
   Description:
      Types, commonly used by sEditTools
   Versions:
	sHistory:
   Autor(s):
      Dimitry Statilko - support@sedittools.com**
   URL:
      http://www.sedittools.com
   Comments:
      These file is a part of sEditTools.

      !!!!!
      If after installing sEditTools you have a compile error like
         "Incompatible types: 'TsBorderStyle' and 'TFormBorderStyle'"
         then put this file at the begining of the uses clause of interface
         part of the unit, where error was reported. It should work.



*******************************************************************************}
unit sCommonTypes;

interface

type
   //graphics
   TShadowPosition = (spLeftTop, spLeftBottom, spRightBottom, spRightTop);
   THilightStyle = (hsNone, hsMoving, hsRaising, hsFlushing, hsUnderline, hsColor, hsFrame, hsSunkedFrame);
   TTextHilightStyle = hsNone..hsColor;
   TListHilightStyle = (lhsDefault, lhsUnderline, lhsFrame, lhsEdge, lhsSunkedFrame, lhsSunkedEdge, lhsOffice97);//hsUnderline..hsSunkedFrame;//hsOffice97;
   TsAnimationType = ( anNone, anVSlide, anHSlide, anUnfold, anRandom);
   TsListAnimationType = anNone..anVSlide;
   TsDisabledStyle = (dsDefault, dsOffice97, dsEditTools);
   TsHilighted = (hNone, hMouseOver, hHilight);

   //Controls
   TTransparentMode = (tmOpaque, tmSemiTransparent, tmTransparent);
   TVerticalAlignment = (vaTop, vaBottom, vaCenter);
   TsBWCCBoxStyle = (bwsRaised, bwsSunken, bwsFlat);
   TsBWCCRadioStyle = (brsNormal, brsFlat);
   TScrollBarMode = (sbmRegular, sbmEncarta, sbmFlat);
  	TsTextLayout = (tlTop, tlCenter, tlBottom);

   // buttons
   TButtonLayout = (blGlyphLeft, blGlyphRight, blGlyphTop, blGlyphBottom);
   TButtonState = (bsUp, bsDisabled, bsDown, bsExclusive);
   TButtonStyle = (bsAutoDetect, bsWin31, bsNew);
   TNumGlyphs = 1..4;
   TBitBtnKind = (bkCustom, bkOK, bkCancel, bkHelp, bkYes, bkNo, bkClose,
      bkAbort, bkRetry, bkIgnore, bkAll);
   TsBitBtnStyle = (btsDefault, btsFlat, btsFramed);


   // combos, edits
   TsScrollAnimationStyle = set of (saKey, saScrollBar, saAuto, saLookup);
   TsListBorderStyle = (lbsDefault, lbsSmallEdge, lbsEdge);
   TsLookupStyle = (lsNone, lsMatch, lsAutoComplete, lsDropDown);
   TsBorderStyle = (bsNone, bsDefault, bsSingle, bsFlat);

const
   _bsNone = TsBorderStyle(bsNone);
   _bsSingle = TsBorderStyle(bsSingle);

type
   //Lookup
   TsDropDownAlign = (daLeft, daRight, daCenter);


   TValidateEvent = procedure(Sender: TObject; var IsValid: Boolean; var Pos: Integer) of object;

implementation

end.
