{*******************************************************************************
   Unit
      sDefaults.pas
   Description:
      Default values for sEditTools controls
   Versions:
	sHistory:
   Autor(s):
      Dimitry Statilko - support@sedittools.com**
   URL:
      http://www.sedittools.com
   Comments:
*******************************************************************************}
unit sDefaults;

interface

uses sCommonTypes, Graphics, Classes, Controls;

{common}
const
   DEF_DosKey = FALSE;
   DEF_BorderStyle = bsFlat;
   DEF_PopupAnimation = anVSlide;

{graphics}
const
   DEF_Font3D_Active = True;
   DEF_Font3D_Color = clBtnHighlight;
   DEF_Font3D_Position = spRightBottom;
   DEF_Font3D_Spacing = 1;

   DEF_Hilight3d_MouseOverColor = clBtnHighlight;
   DEF_Hilight3d_Color = clYellow;

   DEF_Hilight_Color = TColor($C0DCC0);//clMoneyGreen;
   DEF_Hilight_Style = lhsOffice97;//lhsDefault;
   DEF_Hilight_FontColor = clTeal;//clHighlightText;
   DEF_Hilight_FontStyle = [];//fsBold];

{controls}
   DEF_BWCC_Alignment = taLeftJustify;
   DEF_BWCC_AutoSize = False;
   DEF_BWCC_BoxColor = clBtnFace;
   DEF_BWCC_ButtonLike = True;
   DEF_BWCC_CheckColor = clBlack;
   DEF_BWCC_FocusFrame = False;
   DEF_BWCC_HilightSttyle = hsFlushing;
   DEF_BWCC_Spacing = 2;
   DEF_BWCC_TextAlign = taLeftJustify;
   DEF_BWCC_TransparentMode = tmSemiTransparent;//Opaque
   DEF_BWCC_VertAlign = vaTop;

	DEF_CheckBox_Style = bwsRaised;
   DEF_RadioButtonStyle = brsNormal;

   DEF_Label_Alignment = taLeftJustify;
   DEF_Label_AutoSize = True;
   DEF_Label_ButtonLike = False;
   DEF_Label_FocusFrame = False;
   DEF_Label_HilightStyle = hsNone;//hsFlushing;
   DEF_Label_Layout = tlTop;
   DEF_Label_Transparent = True;

   DEF_ScrollBar_Mode = sbmFlat;

{buttons}
	DEF_SpeedBtn_Flat = True;
   DEF_SpeedBtn_Hilight = hsFlushing;
   DEF_SpeedBtn_Tramsparent = True;

   DEF_BitBtn_Hilight = hsFlushing;
   DEF_BitBtn_Style = btsDefault;

{edits}
	DEF_Edit_DisableStyle = dsOffice97;
   DEF_Edit_BorderStyle = DEF_BorderStyle;
   DEF_Edit_DosKey = DEF_DosKey;

   DEF_Memo_BorderStyle = DEF_BorderStyle;
   DEF_Memo_ScrollBarMode = DEF_ScrollBar_Mode;
{NumPad}
   DEF_NumPad_Animation = DEF_PopupAnimation;
{Calendars}
   DEF_Calendar_Animation = DEF_PopupAnimation;

{Combo box, list box}
const
   DEF_Combo_DefaultHeight = False; // office '97 or default Height
   DEF_Combo_DisabledStyle = dsOffice97; //
   DEF_Combo_DosKey = DEF_DosKey;
   DEF_Combo_BorderStyle = DEF_BorderStyle; //scombos
   DEF_Combo_ListBorderStyle = lbsEdge;
   DEF_Combo_ListColor = clInfoBk;//clWindow;
   DEF_Combo_ListCursor = crHandPoint;
   DEF_Combo_LookupStyle = lsMatch;
   DEF_Combo_ListPopupAnimation = DEF_PopupAnimation;
   DEF_Combo_ListScrollAnimation = [saKey, saScrollBar, saAuto, saLookup];

   DEF_ColorCombo_ColorValue = clBlack;
   DEF_ColorCombo_DisplayNames = True;


{DBLookups}
   DEF_DBSearchCombo_LookupStyle = lsDropDown;


   // This is a wait time between steps of scrolling animation.
   // Then smaller number, them animation is faster.
   ListScrollWaitTime = 10;

   // This is a number of scrolling animation steps, which will be passed till
   // scroller will stop and wait for <ListScrollWaitTime>. Than smaller number than
   // animation is slower. The best values are in [1..4]
   // NOTE: This variable tells the minimum number of steps. sCombos can increase the
   // number of steps to have fatser animation when scrolling for large areas.
   ListScrollWaitSteps = 2;

   // This global flag indicates if controls are mouse sensitive, or they change those
   // look only on focus.
var
   FloatingOnFocusOnly: Boolean = FALSE;




implementation

uses SysUtils;

initialization
   if ListScrollWaitSteps = 0 then
      raise Exception.CreateFmt('Wrong value in sDefaults.pas: %s can not be %s', ['ListScrollWaitSteps', '0']);
end.
